ClientNotReadyException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.client, class: ClientNotReadyException

Package org.apache.geode.cache.client

# Class ClientNotReadyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.OperationAbortedException
org.apache.geode.cache.client.ClientNotReadyException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class ClientNotReadyException extends OperationAbortedException
Deprecated.
as of 6.5 this exception is no longer thrown by GemFire so any code that catches it should be removed.
A `ClientNotReadyException` indicates a client attempted to invoke the `Cache.readyForEvents()` method, but failed.

This exception was moved from the `util` package in 5.7.

Since:
  GemFire 5.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientNotReadyException(String msg)`
  Deprecated.
  Constructs an instance of `ClientNotReadyException` with the specified detail message.
  `ClientNotReadyException(String msg, Throwable cause)`
  Deprecated.
  Constructs an instance of `ClientNotReadyException` with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientNotReadyException

    public ClientNotReadyException(String msg)
    Deprecated.
    Constructs an instance of `ClientNotReadyException` with the specified detail message.
    Parameters:
      `msg` - the detail message

  - ### ClientNotReadyException

    public ClientNotReadyException(String msg, Throwable cause)
    Deprecated.
    Constructs an instance of `ClientNotReadyException` with the specified detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the causal Throwable